Support » Plugin: WooCommerce » Deprecated funtion since WordPress 5.4

  • Resolved vincenz17

    (@vincenz17)


    After I upgrade to WordPress 5.4 the following error is shown on the top of the page of the cart

    Deprecated: WC_Cart::get_checkout_url ist seit Version 2.5 veraltet! Benutze stattdessen wc_get_checkout_url. in C:\xampp\htdocs\intranet\wp-includes\functions.php on line 4713

    PHP: 7.2
    Wordpress: 5.4
    WooCommerce: 4.0.1

    • This topic was modified 1 year, 10 months ago by vincenz17.
Viewing 3 replies - 1 through 3 (of 3 total)
  • Plugin Support corsonr – a11n

    (@corsonr)

    Automattic Happiness Engineer

    Hi there Vincenz,

    In most cases, this kind of issue can occur if there is a conflict with a plugin altering the order and priority of scripts being run. Please note that the theme can be involved too.

    To test if this is the case, can you perform the below steps:

    1. Make sure all of your plugins are updated to their latest versions and see if the problem still persists.
    2. Install and activate the [Health Check & Troubleshooting](https://en-au.wordpress.org/plugins/health-check/) plugin. This plugin allows you to troubleshoot your website without affecting any customers that may be browsing your website.
    3. Go to Tools > Health Check > Troubleshooting tab > Enable troubleshooting mode.
    4. When the page refreshes, at the top of the page, click on the toggle arrow beside `Available Themes and make sure a default WordPress theme is activated. (Such as TwentyNineteen or [Storefront](https://woocommerce.com/storefront/?aff=10486&cid=1131038)).
    5. Go to Plugins. You'll see all plugins have been deactivated. Please activate onlyWooCommerce` core and the addon(s) you want to test.
    6. If step 5 fixes the issue, reactivate each plugin one at a time, and then see if the issue pops up again. This will tell us which plugin is conflicting.
    7. You can then click Disable Troubleshooting Mode at the top of the website to return back to normal.

    Alternatively, you can choose to do this manually as per the following docs:

    https://docs.woocommerce.com/document/how-to-test-for-conflicts/

    If you don’t want to perform the above steps on your live site, you can clone your site to a staging environment, where you can test without affecting your users. If your host doesn’t provide staging facilities, a simple way to do it is using the free WP Staging plugin:

    https://wordpress.org/plugins/wp-staging/

    Please let us know how you go with it and if you have any further information to share with us. We will be happy to help.

    Thread Starter vincenz17

    (@vincenz17)

    Thanks, it was a own script. The script was written from an old college 😀

    Thanks for the quick response, I fixed it 🙂

    Closed!

    Plugin Support corsonr – a11n

    (@corsonr)

    Automattic Happiness Engineer

    Hey,

    Excellent, thanks for the heads-up, I’ll mark this as resolved.

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘Deprecated funtion since WordPress 5.4’ is closed to new replies.